﻿namespace TestProject
{
    /// <summary>
    /// 링크 화살표 스타일
    /// </summary>
    public enum LinkArrowStyle
    {
        /// <summary>
        /// 사용 안함
        /// </summary>
        None,

        /// <summary>
        /// 원</summary>
        Circle,

        /// <summary>
        /// 화살표
        /// </summary>
        Arrow,

        /// <summary>
        /// 포크
        /// </summary>
        Fork,

        /// <summary>
        /// 폐쇄형 포크
        /// </summary>
        ClosedFork,

        /// <summary>
        /// 마름모
        /// </summary>
        Losange,

        /// <summary>
        /// Many
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        Many,

        /// <summary>
        /// Many Optional
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        ManyOptional,

        /// <summary>
        /// One
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        One,

        /// <summary>
        /// One Optional
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        OneOptional,

        /// <summary>
        /// One Or Many
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        OneOrMany,

        /// <summary>
        /// 개방형 화살표
        /// </summary>
        /// <remarks>UML 다이어그램에서 사용</remarks>
        OpenedArrow,

        /// <summary>
        /// 반쪽 화살표
        /// </summary>
        HalfArrow,

        /// <summary>
        /// 개방형 반쪽 화살표
        /// </summary>
        OpenedHalfArrow,

        /// <summary>
        /// 화살표 2
        /// </summary>
        Arrow2,
    };
}